GTGOTF_Basic.h File Reference

OTF_GTGBasic1 is the OTF implementation of the basic interface to generate traces (GTGBasic1). More...

`#include "GTGTypes.h"`
`#include "GTGBasic.h"`
`#include "GTGOTF_Structs.h"`

Go to the source code of this file.

## Functions

const otf_color_t | OTF_get_color (gtg_color_t color)
trace_return_t | OTFInitTrace (const char *filename, gtg_flag_t flags)
trace_return_t | OTFSetCompress (int val)
trace_return_t | OTFAddContType (const char *alias, const char *contType, const char *name)
trace_return_t | OTFAddStateType (const char *alias, const char *contType, const char *name)
trace_return_t | OTFAddEventType (const char *alias, const char *contType, const char *name)
trace_return_t | OTFAddLinkType (const char *alias, const char *name, const char *contType, const char *srcContType, const char *destContType)
trace_return_t | OTFAddVarType (const char *alias, const char *name, const char *contType)
trace_return_t | OTFAddEntityValue (const char *alias, const char *entType, const char *name, const otf_color_t color)
trace_return_t | OTFDefineContainer (const char *alias, const char *type, const char *container, const char *name, const char *file)
trace_return_t | OTFStartContainer (varPrec time, const char *alias, const char *type, const char *container, const char *name, const char *file)
trace_return_t | OTFDestroyContainer (varPrec time, const char *name, const char *type)
trace_return_t | OTFSetState (varPrec time, const char *type, const char *cont, const char *val)
trace_return_t | OTFPushState (varPrec time, const char *type, const char *cont, const char *val)
trace_return_t | OTFPopState (varPrec time, const char *type, const char *cont)
trace_return_t | OTFAddEvent (varPrec time, const char *type, const char *cont, const char *val)
trace_return_t | OTFStartLink (varPrec time, const char *type, const char *src, const char *dest, const char *val, const char *key)
trace_return_t | OTFEndLink (varPrec time, const char *type, const char *src, const char *dest, const char *val, const char *key)
trace_return_t | OTFSetVar (varPrec time, const char *type, const char *cont, varPrec val)
trace_return_t | OTFAddVar (varPrec time, const char *type, const char *cont, varPrec val)
trace_return_t | OTFSubVar (varPrec time, const char *type, const char *cont, varPrec val)
trace_return_t | OTFAddComment (const char *comment)
trace_return_t | OTFEndTrace ()

## Detailed Description

OTF_GTGBasic1 is the OTF implementation of the basic interface to generate traces (GTGBasic1).

Version
  0.1

Authors
  Developers are :
  Francois Rue - franc.nosp@m.ois..nosp@m.rue@l.nosp@m.abri.nosp@m..fr
  Francois Trahay - franc.nosp@m.ois..nosp@m.traha.nosp@m.y@la.nosp@m.bri.f.nosp@m.r
  Johnny Jazeix - jazei.nosp@m.x@en.nosp@m.seirb.nosp@m.-mat.nosp@m.meca..nosp@m.fr
  Kevin Coulomb - kevin.nosp@m..cou.nosp@m.lomb@.nosp@m.gmai.nosp@m.l.com
  Mathieu Faverge - faver.nosp@m.ge@l.nosp@m.abri..nosp@m.fr
  Olivier Lagrasse - lagra.nosp@m.sse@.nosp@m.ensei.nosp@m.rb-m.nosp@m.atmec.nosp@m.a.fr

## Function Documentation

## OTF_get_color()

const otf_color_t OTF_get_color | ( | gtg_color_t | color | ) |

## OTFAddComment()

trace_return_t OTFAddComment | ( | const char * | comment | ) |

## OTFAddContType()

trace_return_t OTFAddContType | ( | const char * | alias,
|  | const char * | contType,
|  | const char * | name
| ) |  |

## OTFAddEntityValue()

trace_return_t OTFAddEntityValue | ( | const char * | alias,
|  | const char * | entType,
|  | const char * | name,
|  | const otf_color_t | color
| ) |  |

## OTFAddEvent()

trace_return_t OTFAddEvent | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | const char * | val
| ) |  |

## OTFAddEventType()

trace_return_t OTFAddEventType | ( | const char * | alias,
|  | const char * | contType,
|  | const char * | name
| ) |  |

## OTFAddLinkType()

trace_return_t OTFAddLinkType | ( | const char * | alias,
|  | const char * | name,
|  | const char * | contType,
|  | const char * | srcContType,
|  | const char * | destContType
| ) |  |

## OTFAddStateType()

trace_return_t OTFAddStateType | ( | const char * | alias,
|  | const char * | contType,
|  | const char * | name
| ) |  |

## OTFAddVar()

trace_return_t OTFAddVar | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | varPrec | val
| ) |  |

## OTFAddVarType()

trace_return_t OTFAddVarType | ( | const char * | alias,
|  | const char * | name,
|  | const char * | contType
| ) |  |

## OTFDefineContainer()

trace_return_t OTFDefineContainer | ( | const char * | alias,
|  | const char * | type,
|  | const char * | container,
|  | const char * | name,
|  | const char * | file
| ) |  |

## OTFDestroyContainer()

trace_return_t OTFDestroyContainer | ( | varPrec | time,
|  | const char * | name,
|  | const char * | type
| ) |  |

## OTFEndLink()

trace_return_t OTFEndLink | ( | varPrec | time,
|  | const char * | type,
|  | const char * | src,
|  | const char * | dest,
|  | const char * | val,
|  | const char * | key
| ) |  |

## OTFEndTrace()

trace_return_t OTFEndTrace | ( |  | ) |

## OTFInitTrace()

trace_return_t OTFInitTrace | ( | const char * | filename,
|  | gtg_flag_t | flags
| ) |  |

## OTFPopState()

trace_return_t OTFPopState | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont
| ) |  |

## OTFPushState()

trace_return_t OTFPushState | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | const char * | val
| ) |  |

## OTFSetCompress()

trace_return_t OTFSetCompress | ( | int | val | ) |

## OTFSetState()

trace_return_t OTFSetState | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | const char * | val
| ) |  |

## OTFSetVar()

trace_return_t OTFSetVar | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | varPrec | val
| ) |  |

## OTFStartContainer()

trace_return_t OTFStartContainer | ( | varPrec | time,
|  | const char * | alias,
|  | const char * | type,
|  | const char * | container,
|  | const char * | name,
|  | const char * | file
| ) |  |

## OTFStartLink()

trace_return_t OTFStartLink | ( | varPrec | time,
|  | const char * | type,
|  | const char * | src,
|  | const char * | dest,
|  | const char * | val,
|  | const char * | key
| ) |  |

## OTFSubVar()

trace_return_t OTFSubVar | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | varPrec | val
| ) |  |